AmbiguousResolutionException
Date: 2015-09-11

javax.enterprise.inject

## Class AmbiguousResolutionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.enterprise.inject.InjectionException
        - - javax.enterprise.inject.ResolutionException
          - - javax.enterprise.inject.AmbiguousResolutionException

- All Implemented Interfaces:
    java.io.Serializable

      public class AmbiguousResolutionException
      extends ResolutionException

  Indicates that multiple beans match a certain combination of required type and required qualifiers and are eligible for injection into a certain class.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AmbiguousResolutionException()`
    `AmbiguousResolutionException(java.lang.String message)`
    `AmbiguousResolutionException(java.lang.String message, java.lang.Throwable throwable)`
    `AmbiguousResolutionException(java.lang.Throwable throwable)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AmbiguousResolutionException

          public AmbiguousResolutionException()

    - #### AmbiguousResolutionException

          public AmbiguousResolutionException(java.lang.String message,
                                      java.lang.Throwable throwable)

    - #### AmbiguousResolutionException

          public AmbiguousResolutionException(java.lang.String message)

    - #### AmbiguousResolutionException

          public AmbiguousResolutionException(java.lang.Throwable throwable)